For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
            • GETList Sales Staff
            • GETGet Sales Staff Account Details
            • PUTUpdate Sales Staff Assignments
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSales Staff

List Sales Staff

GET
https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs
GET
/api/v3/io/sales-staffs
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs \
> -H "X-Auth-Token: <apiKey>" \
> -d companyId=123456 \
> -d minModified=1721835018
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 20135,
6 "email": "string",
7 "salesRepName": "Marie Curie",
8 "roleName": "Sales Rep",
9 "companyCount": 5
10 }
11 ],
12 "meta": {
13 "message": "SUCCESS",
14 "pagination": {
15 "limit": 10,
16 "offset": 0,
17 "totalCount": 179
18 }
19 }
20}
Returns an array of all B2B Edition users who are assigned to a user role that is labelled as Sales Staff.
Was this page helpful?
Previous

Sales Staff

Next

Get Sales Staff Account Details

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptionalDefaults to 10
Maximum number of results to display per page.
offsetintegerOptionalDefaults to 0
Number of results to skip before displaying the current page.
orderByenumOptionalDefaults to DESC

Sort direction of results, ascending or descending, applied to the sortBy parameter.

Allowed values:
companyIdstringOptional
Unique numeric ID of the Company account.
minModifiedintegerOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
sortByenumOptionalDefaults to updated_at
Field by which data should be sorted in the response.
Allowed values:

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
datalist of any
metaobject
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

The earliest Unix timestamp that can be returned for a modified Company account.